Package org.spongepowered.asm.obfuscation.mapping.mcp

## Class MappingFieldSrg

- java.lang.Object
- - org.spongepowered.asm.obfuscation.mapping.common.MappingField
  - - org.spongepowered.asm.obfuscation.mapping.mcp.MappingFieldSrg

- All Implemented Interfaces:
    `IMapping<MappingField>`

      public class MappingFieldSrg
      extends MappingField

  An SRG field mapping

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.spongepowered.asm.obfuscation.mapping.IMapping

      `IMapping.Type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MappingFieldSrg​(java.lang.String srg)` |
    `MappingFieldSrg​(MappingField field)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `serialise()` | Get a representation of this mapping for serialisation.

    - ### Methods inherited from class org.spongepowered.asm.obfuscation.mapping.common.MappingField

      `copy, equals, getDesc, getName, getOwner, getSimpleName, getSuper, getType, hashCode, move, remap, toString, transform`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MappingFieldSrg

          public MappingFieldSrg​(java.lang.String srg)

    - #### MappingFieldSrg

          public MappingFieldSrg​(MappingField field)

  - ### Method Detail

    - #### serialise

          public java.lang.String serialise()

      Description copied from interface: `IMapping`
      Get a representation of this mapping for serialisation. Individual writers are free to use their own mappings, this method is for convenience only.
      Specified by:
        `serialise` in interface `IMapping<MappingField>`
      Overrides:
        `serialise` in class `MappingField`
      Returns:
        string representation of this mapping